#!/bin/bash
# 08-27-2018  mts  intial release
# Script used to restore files from backup after msu files installed 

# Only create backups 1st time rpm is installed.
# Restore  jar files from /cyflex/c2c_msu_backup/specfilegui to /cyflex/specfilegui/
if [  -d /cyflex/c2c_msu_backup/specfilegui/ ]; then
rsync -aq /cyflex/c2c_msu_backup/specfilegui/msu.jar /cyflex/specfilegui/.
rsync -aq /cyflex/c2c_msu_backup/specfilegui/specfilegui.jar /cyflex/specfilegui/.
rsync -aq /cyflex/c2c_msu_backup/specfilegui/facade.jar /cyflex/specfilegui/.
rsync -aq /cyflex/c2c_msu_backup/specfilegui/ExternalDataManager.jar /cyflex/specfilegui/.
fi

# Restore jar files from /cyflex/c2c_msu_backup/specfilegui to /cyflex/specfilegui.3rdparty/
if [ -d /cyflex/c2c_msu_backup/specfilegui.3rdparty/ ]; then
rsync -aq /cyflex/c2c_msu_backup/specfilegui.3rdparty/SocketServer.jar /cyflex/specfilegui.3rdparty/.
rsync -aq /cyflex/c2c_msu_backup/specfilegui.3rdparty/hopper_utilities.jar /cyflex/specfilegui.3rdparty/.
if [ -e /cyflex/c2c_msu_backup/specfilegui.3rdparty/ojdbc.jar ]; then
rsync -aq /cyflex/c2c_msu_backup/specfilegui.3rdparty/ojdbc.jar /cyflex/specfilegui.3rdparty/.
fi
rsync -aq /cyflex/c2c_msu_backup/specfilegui.3rdparty/javax.persistence_2.0.3.jar /cyflex/specfilegui.3rdparty/.
rsync -aq /cyflex/c2c_msu_backup/specfilegui.3rdparty/eclipselink.jar /cyflex/specfilegui.3rdparty/.
rsync -aq /cyflex/c2c_msu_backup/specfilegui.3rdparty/jsch.jar /cyflex/specfilegui.3rdparty/.
fi


if [  -e /cyflex/c2c_msu_backup/cmds/find_database.sh ]; then
rsync -aq /cyflex/c2c_msu_backup/cmds/find_database.sh /cyflex/cmds/.
rsync -aq /cyflex/c2c_msu_backup/cmds/extdatman.cummins.msu /cyflex/cmds/.
fi


